# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Location do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :type,
    :coordinates
  ]

  @type t :: %__MODULE__{
    :type => String.t,
    :coordinates => [float()]
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Location do
  def decode(value, _options) do
    value
  end
end

